Subject: RE: PANA FAQ

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Mon, 1 Jul 2002 18:40:24 +0200

> > > Even configuring a link-local address would require host to
  > > > send IP packets on the link. An unauthenticated host would need
  > > > to send neighbor solicitations and neighbor advertisements
  > > > for duplicate address detection. Is this not a concern?
  > > 
  > > Hmm, I don't understand why that becomes a concern.  We 
  > can discuss
  > > based on an analogy to L2 authentication.
  > > 
  > > For example, when we consider 802.1X over 802.11, some management
  > > frames (Beacon, Probe request/response, etc.) are allowed to be
  > > exchanged between a station and an access point even before the
  > > station is authenticated.  Bringing this ananogy to one 
  > step higher
  > > layer, i.e., PANA over IP, it seems to be natural for an
  > > unauthenticated host would exchange some IP layler 
  > management messages
  > > (i.e., neighbor discovery messages) with access router(s).
  > 
  > This analogy makes sense as long as these messaging happens
  > between the client and an agent in the network. 
  > 
  > Problems arises when you let this messaging happen between
  > clients, some of which might still be unauthenticated.
  > 
  > For DAD, an unauthenticated client must be able to send/receive
  > NS and NA. A malicious node can respond to every NS and
  > claim the IPv6 address, therefore deny the service for a legitimate
  > client which is trying to get a link-local address before PANA.
  > 

=> Of course, there is a BoF for this type of problem, SEND :) 
I don't think this is PANA problem and should not be used
as an argument against configuring an IP address before
PANA transactions. 

Hesham